/**
 * SECTION:DrawingService
 * @short_description: Utility service for loading icons and working with pixbufs.
 */
/**
 * PLANK_DRAWING_TYPE_DRAWING_SERVICE:
 * 
 * The type for <link linkend="PlankDrawingDrawingService"><type>PlankDrawingDrawingService</type></link>.
 */
/**
 * plank_drawing_drawing_service_get_icon_from_file:
 * @file: (in): &nbsp;.  the file to get the icon name for 
 * 
 * Gets the icon name from a <link linkend="GFile"><type>GFile</type></link>.
 * 
 * Returns: the icon name for the file, or null if none exists 
 */
/**
 * plank_drawing_drawing_service_get_icon_from_gicon:
 * @icon: (in) (allow-none): &nbsp;.  the icon to get the name for 
 * 
 * Gets an icon from a <link linkend="GIcon"><type>GIcon</type></link>.
 * 
 * Returns: the icon name, or null if none exists 
 */
/**
 * plank_drawing_drawing_service_load_icon:
 * @names: (in): &nbsp;.  a delimited (with &quot;;;&quot;) list of icon names, first one found is used 
 * @width: (in): &nbsp;.  the requested width of the icon 
 * @height: (in): &nbsp;.  the requested height of the icon 
 * 
 * Loads an icon based on names and the given width/height
 * 
 * Returns: the pixbuf representing the requested icon 
 */
/**
 * plank_drawing_drawing_service_ar_scale:
 * @source: (in): &nbsp;.  the pixbuf to scale 
 * @width: (in): &nbsp;.  the width of the scaled pixbuf 
 * @height: (in): &nbsp;.  the height of the scaled pixbuf 
 * 
 * Scales a <link linkend="GdkPixbuf"><type>GdkPixbuf</type></link>, maintaining the original aspect ratio.
 * 
 * Returns: the scaled pixbuf 
 */
/**
 * plank_drawing_drawing_service_average_color:
 * @source: (in): &nbsp;.  the pixbuf to use 
 * 
 * Computes and returns the average color of a <link linkend="GdkPixbuf"><type>GdkPixbuf</type></link>. The resulting color is the average of all pixels which aren&apos;t nearly transparent while saturated pixels are weighted more than &quot;grey&quot; ones.
 * 
 * Returns: the average color of the pixbuf 
 */
/**
 * PlankDrawingDrawingService:
 * 
 * Utility service for loading icons and working with pixbufs.
 */
/**
 * PlankDrawingDrawingServiceClass:
 * @parent_class: the parent class structure
 * 
 * The class structure for <link linkend="PLANK-DRAWING-TYPE-DRAWING-SERVICE:CAPS"><literal>PLANK_DRAWING_TYPE_DRAWING_SERVICE</literal></link>. All the fields in this structure are private and should never be accessed directly.
 */
