/**
 * SECTION:ItemFactory
 * @short_description: An item factory. Creates <link linkend="PlankItemsDockItem"><type>PlankItemsDockItem</type></link>s based on .dockitem files.
 * @launchers_dir: The directory containing .dockitem files.
 */
/**
 * PLANK_FACTORIES_TYPE_ITEM_FACTORY:
 * 
 * The type for <link linkend="PlankFactoriesItemFactory"><type>PlankFactoriesItemFactory</type></link>.
 */
/**
 * plank_factories_item_factory_make_item:
 * @self: the <link linkend="PlankFactoriesItemFactory"><type>PlankFactoriesItemFactory</type></link> instance
 * @file: (in): &nbsp;.  the <link linkend="GFile"><type>GFile</type></link> of .dockitem file to parse 
 * 
 * Creates a new <link linkend="PlankItemsDockItem"><type>PlankItemsDockItem</type></link> from a .dockitem.
 * 
 * Returns: the new <link linkend="PlankItemsDockItem"><type>PlankItemsDockItem</type></link> created 
 */
/**
 * plank_factories_item_factory_default_make_item:
 * @self: the <link linkend="PlankFactoriesItemFactory"><type>PlankFactoriesItemFactory</type></link> instance
 * @file: (in): &nbsp;.  the <link linkend="GFile"><type>GFile</type></link> of .dockitem file that was parsed 
 * @launcher: (in): &nbsp;.  the launcher name from the .dockitem 
 * 
 * Creates a new <link linkend="PlankItemsDockItem"><type>PlankItemsDockItem</type></link> for a launcher parsed from a .dockitem.
 * 
 * Returns: the new <link linkend="PlankItemsDockItem"><type>PlankItemsDockItem</type></link> created 
 */
/**
 * plank_factories_item_factory_get_launcher_from_dockitem:
 * @self: the <link linkend="PlankFactoriesItemFactory"><type>PlankFactoriesItemFactory</type></link> instance
 * @file: (in): &nbsp;.  the <link linkend="GFile"><type>GFile</type></link> of .dockitem to parse 
 * 
 * Parses a .dockitem to get the launcher from it.
 * 
 * Returns: the launcher from the .dockitem 
 */
/**
 * plank_factories_item_factory_make_default_items:
 * @self: the <link linkend="PlankFactoriesItemFactory"><type>PlankFactoriesItemFactory</type></link> instance
 * 
 * Creates a bunch of default .dockitem&apos;s.
 */
/**
 * plank_factories_item_factory_make_dock_item:
 * @self: the <link linkend="PlankFactoriesItemFactory"><type>PlankFactoriesItemFactory</type></link> instance
 * @uri: (in): &nbsp;.  the uri or path to create a .dockitem for 
 * 
 * Creates a new .dockitem for a uri.
 * 
 * Returns: the new <link linkend="GFile"><type>GFile</type></link> of the new .dockitem created 
 */
/**
 * plank_factories_item_factory_new:
 */
/**
 * PlankFactoriesItemFactory:
 * @launchers_dir: The directory containing .dockitem files.
 * 
 * An item factory. Creates <link linkend="PlankItemsDockItem"><type>PlankItemsDockItem</type></link>s based on .dockitem files.
 */
/**
 * PlankFactoriesItemFactoryClass:
 * @make_item: virtual method called by <link linkend="plank-factories-item-factory-make-item"><function>plank_factories_item_factory_make_item()</function></link>
 * @parent_class: the parent class structure
 * 
 * The class structure for <link linkend="PLANK-FACTORIES-TYPE-ITEM-FACTORY:CAPS"><literal>PLANK_FACTORIES_TYPE_ITEM_FACTORY</literal></link>. All the fields in this structure are private and should never be accessed directly.
 */
